# Replace fake symlinks with the real ones
relink initrd-%ver_str /boot/initrd-um
relink vmlinuz-%ver_str /boot/vmlinuz-um

if [ -e /etc/sysconfig/kernel ]; then
    update_rcfile_setting /etc/sysconfig/kernel INITRD_MODULES 2>&1
elif [ -e /etc/rc.config ]; then
    update_rcfile_setting /etc/rc.config INITRD_MODULES 2>&1
fi

touch /lib/modules/%ver_str/modules.dep

if [ -f /etc/fstab ]; then
    cd /boot && \
    mkinitrd -k "vmlinuz-%ver_str" -i "initrd-%ver_str"
else
    echo "please run mkinitrd as soon as your system is complete"
fi

# $1 is 1 in postinstall if this package is installed
# for the first time and is >1 on update.
# (AGRUEN: do we really want that?)
# (LMB: Commented out, boot loader notification not possible on UML)
# if [ "$1" -gt 1 -a -x /sbin/new-kernel-pkg ]; then
    # Notify boot loader that a new kernel image has been installed.
#    /sbin/new-kernel-pkg %ver_str
# fi

